Bug 84795 - some ps/2 mice don't work
some ps/2 mice don't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-21 09:24 EST by Marius Andreiana
Modified: 2014-03-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 15:52:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2003-02-21 09:24:41 EST
My genius ps/2 netmouse used in redhat 8.0 didn't work anymore in phoebe. In
phoebe2 is wasn't detected, in phoebe3 it's detected as generic (ok) but it
doesn't work ( in console with gpm, in X ). If I set it manually to genius
netmouse, the arrow moves only left-rigt in upper part of the screen, no up-down.

I've just booted from red hat 8.0 install CD, it is recogniez as generic ps/2
and works in graphical mode.

Tested with antoher ps/2 wheeled mouse ( noname ) and that doesn't work too. All
ps/2 mice worked fine for me in red hat 8.0

Here's sysconfig/mouse:

FULLNAME="Generic - 2 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="yes"
XMOUSETYPE="PS/2"
DEVICE=/dev/psaux
OPTIONS="-t imps2 -m /dev/input/mice -M"
Comment 1 Bill Nottingham 2003-02-21 12:55:35 EST
What kind of motherboard do you have? We don't see this here.
Comment 2 Marius Andreiana 2003-02-24 09:47:46 EST
Asus A7V. Please let me know what other info I should provide
Comment 3 Marius Andreiana 2003-02-25 08:01:47 EST
Just tried this mouse on a matsonic with viavt823 chipset and phoebe3, it works
fine. However, it used to work fine on the Asus A7V with redhat 8.0 too.
Comment 4 Bill Nottingham 2005-03-29 15:52:20 EST
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

On current releases the PS/2 protocol is handled in the kernel; if the kernel
sees it, it should work fine (and kudzu really has no bearing in the matter now.)

Note You need to log in before you can comment on or make changes to this bug.